com.pivotal.gemfirexd.internal.client.net

## Interface ResultSetReplyInterface

All Known Implementing Classes:
  NetResultSetReply, NetXAConnectionReply

    public interface ResultSetReplyInterface

### Method Summary

Methods
`void` `readCursorClose(ResultSetCallbackInterface resultSet)`
`void` `readFetch(ResultSetCallbackInterface resultSet)`
`void` `readPositioningFetch(ResultSetCallbackInterface resultSet)`
`void` `readScrollableFetch(ResultSetCallbackInterface resultSet)`

### Method Detail

#### readFetch

    void readFetch(ResultSetCallbackInterface resultSet)
                   throws DisconnectException

Throws:
  `DisconnectException`

#### readScrollableFetch

    void readScrollableFetch(ResultSetCallbackInterface resultSet)
                             throws DisconnectException

Throws:
  `DisconnectException`

#### readPositioningFetch

    void readPositioningFetch(ResultSetCallbackInterface resultSet)
                              throws DisconnectException

Throws:
  `DisconnectException`

#### readCursorClose

    void readCursorClose(ResultSetCallbackInterface resultSet)
                         throws DisconnectException

Throws:
  `DisconnectException`